Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.beanutils.converters
Class CharacterConverter

    java.lang.Object
      org.apache.commons.beanutils.converters.AbstractConverter
          org.apache.commons.beanutils.converters.CharacterConverter

All Implemented Interfaces:
  Converter

    public final class CharacterConverter

extends AbstractConverter

`Converter` implementaion that handles conversion to and from java.lang.Character objects.

Can be configured to either return a default value or throw a `ConversionException` if a conversion error occurs.

Since:
  1.3
Version:
  $Revision: 690380 $ $Date: 2008-08-29 21:04:38 +0100 (Fri, 29 Aug 2008) $
Author:
  Craig R. McClanahan

Constructor Summary
`CharacterConverter()` Construct a java.lang.Character Converter that throws a `ConversionException` if an error occurs.
`CharacterConverter(Object defaultValue)` Construct a java.lang.Character Converter that returns a default value if an error occurs.

Method Summary
`protected String` | `convertToString(Object value)` Convert a java.lang.Class or object into a String.
`protected Object` | `convertToType(Class type, Object value)` Convert the input object into a java.lang.Character.
`protected Class` | `getDefaultType()` Return the default type this `Converter` handles.

Methods inherited from class org.apache.commons.beanutils.converters.AbstractConverter
`convert, convertArray, getDefault, handleError, handleMissing, isUseDefault, setDefaultValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CharacterConverter

    public CharacterConverter()

  Construct a java.lang.Character Converter that throws a `ConversionException` if an error occurs.

### CharacterConverter

    public CharacterConverter(Object defaultValue)

  Construct a java.lang.Character Converter that returns a default value if an error occurs.

  Parameters:
    `defaultValue` - The default value to be returned if the value to be converted is missing or an error occurs converting the value.

Method Detail

### getDefaultType

    protected Class getDefaultType()

  Return the default type this `Converter` handles.

  Specified by:
    `getDefaultType` in class `AbstractConverter`
  Returns:
    The default type this `Converter` handles.
  Since:
    1.8.0

### convertToString

    protected String convertToString(Object value)

  Convert a java.lang.Class or object into a String.

  Overrides:
    `convertToString` in class `AbstractConverter`
  Parameters:
    `value` - The input value to be converted
  Returns:
    the converted String value.
  Since:
    1.8.0

### convertToType

    protected Object convertToType(Class type,
                                   Object value)
                            throws Exception

  Convert the input object into a java.lang.Character.

  Specified by:
    `convertToType` in class `AbstractConverter`
  Parameters:
    `type` - Data type to which this value should be converted.
    `value` - The input value to be converted.
  Returns:
    The converted value.
  Throws:
    `Exception` - if conversion cannot be performed successfully
  Since:
    1.8.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 The Apache Software Foundation. All Rights Reserved.